Deductions
Get Deduction
Retrieve a specific deduction attached to an employee check.
GET
/
deductions
Get Deduction
curl --request GET \
--url https://api.zeal.com/deductions \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/deductions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/deductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"testMode": true,
"data": {
"companyID": "fc235f012bae46aa8a082f347715bcfa",
"deductionID": "61d32bb356fdba0023fafa57",
"employeeCheckID": "7f0da5e428324c049ae6a6bac2e62f88",
"deduction_type": "401k",
"deduction_template_name": "My 401K",
"deductionTemplateID": "61cadff23e6f8201c34c77c6",
"employer_contribution": {
"value": 7,
"contribution_type": "dollars",
"matching": false
},
"employee_contribution": {
"value": 5,
"contribution_type": "percentage"
},
"additional_fields": {},
"createdAt": "2022-01-03T18:22:43.000Z",
"updatedAt": "2022-01-03T18:22:43.000Z"
}
}Authorizations
Query Parameters
ID of Deduction to be retrieved
CompanyID of the employer
ID of the employee check
⌘I
Get Deduction
